<?php
/**
 * Created by PhpStorm.
 * User: Admin
 * Date: 14.08.2020
 * Time: 22:41
 */

namespace Diamond\Domain\User\Contracts;

use Diamond\Domain\UserGroup\Contracts\UserGroupEntityInterface;
use Propel\Runtime\Connection\ConnectionInterface;
use Repo\EntityInterface;

interface UserEntityInterface extends EntityInterface
{

    /**
     * @return string|int|null
     */
    public function getId();

    /**
     * @return string|null
     */
    public function getPassword();

    public function getUserGroup(?ConnectionInterface $con = NULL);

    /**
     * @return string|null
     */
    public function getEmail();

    /**
     * @return string|null
     */
    public function getPhone();

    /**
     * @return string|null
     */
    public function getActivation();

    public function getNameWithEmail(): string;
}